@file:JvmName("_UnsignedKt")

package ru.landgrafhomyak.db.jdbc_kotlin_extensions

import java.sql.PreparedStatement
import java.sql.ResultSet

public fun PreparedStatement.setUByte(parameterIndex: Int, value: UByte): Unit =
	this.setByte(parameterIndex, value.toByte())

public fun PreparedStatement.setUShort(parameterIndex: Int, value: UShort): Unit =
	this.setShort(parameterIndex, value.toShort())

public fun PreparedStatement.setUInt(parameterIndex: Int, value: UInt): Unit =
	this.setInt(parameterIndex, value.toInt())

public fun PreparedStatement.setULong(parameterIndex: Int, value: ULong): Unit =
	this.setLong(parameterIndex, value.toLong())

public fun ResultSet.getUByte(columnIndex: Int): UByte =
	this.getByte(columnIndex).toUByte()

public fun ResultSet.getUShort(columnIndex: Int): UShort =
	this.getShort(columnIndex).toUShort()

public fun ResultSet.getUInt(columnIndex: Int): UInt =
	this.getInt(columnIndex).toUInt()

public fun ResultSet.getULong(columnIndex: Int): ULong =
	this.getLong(columnIndex).toULong()
